# Intro
Tl;dr, the law of sines is:
$$ \frac{\sin(\alpha)}{a} = \frac{\sin(\beta)}{b} = \frac{\sin(\gamma)}{c} $$
Under convention:
- Angle $\alpha$ is opposite side $a$
- Angle $\beta$ is opposite side $b$
- Angle $\gamma$ is opposite side $c$

- Any triangle that is *not a right triangle* is called an oblique triangle. There are two types of oblique triangles:
	- **Acute triangles**: This is an oblique triangle where all three interior angles are less than $90\degree$ or $\dfrac{\pi}{2}$ radians.
	- **Obtuse Triangle**: This is an oblique triangle where one of the interior angles is greater than $90\degree$.
## Different types of oblique triangles
1. **ASA Triangle**: (Angle Side Angle) - We know the measurements of two angles and the side between them
2. **AAS**: We know the measurements of two angles and a side that is not between the known angles.
3. **SSA**: We know the measurements of two sides and an angle that is not between the known sides.
These triangles can be solved by adding a line that goes from one vertex to intersect perpendicular to the opposite side, forming two right triangles ($h$).

## Solving for the law of sines
We know that $\sin\alpha = \dfrac{h}{b}$ and $\sin\beta = \dfrac{h}{a}$. We can sole both equations for $h$ to get:
- $h = b\sin\alpha$
- $h = a\sin\beta$
Setting both equations equal to each other gives us:
$b\sin\alpha = a\sin\beta$

Multiply both sides by $\dfrac{1}{ab}$ gives yields $\dfrac{\sin\alpha}{a} = \dfrac{\sin\beta}{b}$

# SSA triangles
Side side angle triangles may be solved to have one possible solution, two possible solutions, or no possible solutions.

- No triangle: $a < h$
- One triangle: $a \ge b$
- Two triangles: $h < a < b$
- One right triangle: $a = h$
